Subject: Re: bug#7888: 23.1; default value of rmail-default-dont-reply-to-names

From: Chong Yidong <[email-masked]>
Date: Sat, 12 Feb 2011 16:50:28 -0500

[email-masked] writes:

> The function called by Gnus is 'rmail-dont-reply-to' in rmail.el and
> removes all the user's personal addresses. However it advises two
> variables the first is called 'rmail-dont-reply-to-names' which is set
> by the user explicitly and the second is the
> 'rmail-default-dont-reply-to-names' which has a default value of
> "\\`info-" which removes all addresses starting with info- on the
> assumption that large mailing lists that broadcast announcement have a
> name like that.
>
> Is it possible to get this default value to nil? Does it even make
> sense in 2011 to filter addresses by judging from their name whether
> they are big announcements lists ? (that's the wording and
> justification in the docs for this default value)

Indeed, this looks like a bad idea these days (if necessary, users can
customize it).  I've changed the default to nil; thanks.